Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class ProjectLibrary

    java.lang.Object
      org.gradle.plugins.ide.idea.model.ProjectLibrary

    @Incubating
    class ProjectLibrary

A project-level IDEA library.

Property Summary
`Set` | `classes` A set of Jar files or directories containing compiled code.
`Set` | `javadoc` A set of Jar files or directories containing Javadoc.
`String` | `name` The name of the library.
`Set` | `sources` A set of Jar files or directories containing source code.

Method Summary
`void` | `addToNode(Node parentNode, PathFactory pathFactory)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### classes

    Set classes

  A set of Jar files or directories containing compiled code.

### javadoc

    Set javadoc

  A set of Jar files or directories containing Javadoc.

### name

    String name

  The name of the library.

### sources

    Set sources

  A set of Jar files or directories containing source code.

Method Detail

### addToNode

    void addToNode(Node parentNode, PathFactory pathFactory)

### equals

    boolean equals(Object obj)

### hashCode

    int hashCode()

Gradle API 1.10